tips = [
  `What is your character's **worst fear**? If you know that, you'll know what they need.`,
  `The external stakes should **dominate** the internal stakes until the climax. At the climax, they will both be at maximum.`,
  `A good character has **one dominant trait**, and a consistent **contradiction** between appearance and reality.

  What is their **lie**?`,
  `Your character **should not expect the way the world reacts** at the crisis. They will have an epiphany about the world when they realize the disparity between their expectation and the result.`,
  `A great story ending is a combination of **spectacle** and **truth**.`,
  `Your character's expectations should always meet **unexpected** results. Never give them what they expect.`,
  `**Obstacles** should be in every scene of your story.`,
  `Your characters should have polar relationships. No two characters should react the same to **maximize** potential for **conflict**.`,
  `Start your story on a scene revealing a new unique world and a character who is **completely uncomfortable** in it.`,
  `Keep mounting the character's emotions.`,
  `From the midpoint of your story, accelerate the plot, escalate the stakes, and **eliminate audience expectations**.`,
  `Your character needs **flaws**. A flawless character learns nothing. They don't change. **They are boring AF**.`,
  `Come on dude. **Be unexpected.**

  What's the most unexpected thing that could happen right now?`,
  `What is the **subtext** of this scene? It's saying one thing, but what is it really trying to say?

  Shhh. Don't say it.`,
  `**Subtext** should be on every beat.

  What's going on on the surface should be not really what's going on.`,
  `A story has 3 levels of conflict:

  **Internal Conflict**
  **External Conflict**
  **Philosophical Conflict**`,
  `Emotion comes from **meaning**.`,
  `The final climax should **always** be the main character's responsibility. Never put this on another character.`,
  `If you have exposition, make sure your character **actually uses** what they learned **to get what they want**.`,
  `The protagonist and antagonist's goals need to **directly oppose each other**.`,
  `In the beginning of your story, the **world's values** should be at odds with your **character's values**.

  At the end, your **character's values** should have an effect on the **world's values**.`,
  `Can you do this scene without a single line of dialogue? Can you tell the story without a single line of dialogue?`,
  `You should remember that the audience probably knows what you are going to do next. They aren't all Trump voters.`,
  `Each scene should be a new threshold for your character.

  After every scene, your character **becomes different**.`,
  `Your story should start with a **world of specific rules** and your **character who is pushing against those rules**.`,
  `Subplot should always relate to the main theme. It should either resonate the theme or contradict it.`,
  `Progressively build conflict with small dilemmas. Increase them to the **climactic conflict**.`,
  `How your character **changes** at the end, illustrates **the theme**.`,
  `**Don't preach**. Don't insist politics. If your goal is to lecture your audience, you are making a really bad movie, Oliver Stone. Show a world and story that a viewer can't help but learn from on their own.`,
  `The more you try to tell the audience how to feel, the more likely they are to **hate your story**.`,
  `The internal, external, and philosophical conflicts are in an epic battle at the **crisis**.`,
  `Give your main character a lot to lose. Put their passion in jeopardy.`,
  `Can previous exposition be used at a key moment to cause a **reversal**?`,
  `Have your character think it is about one thing, and when you reveal it is actually about another thing, make sure that is **more meaningful**.`,
  `A character is funny because they are **completely blind** to their own obsession.

  As soon as they recognize this obsession, it's not funny anymore.`,
  `You get **one main coincidence** in your movie. After the midpoint, if your story is built on coincidence, your characters aren't moving the story forward.`,
  `End your story on a final image that sums up the whole movie.`,
  `Truth is not what it appears.

  True characters are revealed through the choices they make **under pressure**. `,
  `Addressing your character's **needs** over their external wants is crucial to a good ending.`,
  `Presenting a completely traditional occurrence is the best way of **shocking them with the unforeseen**.`,
  `It's vitally important that the audience **believe** why the character does something. It's also important important that they are **surprised** by what they did.`,
  `Humor is not just about the comic occurrence, but more so the character's attitude to it.`,
  `A great ending is:

  **Unexpected.**
  **Positive.**
  **Meaningful.**`,
  `Actions must have **consequences**.`,
  `The **climax** is the answer to the question asked at the beginning of the story.`,
  `If you were this character, what would you do here?`,
  `Your character needs a **great entrance**.`,
  `Keep the story moving. Slow down to place **emphasis**.`,
  `What does your character think is going to happen? **The audience probably thinks that too**. If it happens, it's boring.`,
  `How much does the audience need to know in order to have an **emotional reaction** to their choices?`,
  `Characters are defined by the **choices** they make.`,
  `Who drives the story? What does your character want? Why do they want it? What is the obstacle? What's the value at jeopardy?`,
  `The beat in a scene where **the value is challenged** is where the scene turns. Without this challenge the scene is unimportant.`,
  `What happens if the character doesn't get what they want?

  If it's really bad, the illustration of what they value is very clear.`,
  `Suffering, sulking, being angry is not dramatic. The character is not changing. Drama is change.`,
  `Keep the story simple – but the opposite for your characters.`,
  `Don't explain anything until the audience is **dying to learn the answers**.`,
  `The **climax** is the visual expression of the **meaning** of the story. You don't need no exposition in there, ya big dummy.`,
  `The **crisis** is the greatest dilemma the character faces.`,
  `A good ending should be **surprising** and **inevitable**.`,
  `What is your character's **deepest desire**? Make it clear.`,
  `Save the best for last. Work up to greater conflicts.`,
  `Be economical in your dialogue. Short, compressed, **meaningful**.`,
  `Dialogue is the reaction to action.`,
  `What are the **obstacles** to what your character wants right now?`,
  `2 choices are presented in a **dilemma**. What's the third choice?`,
  `**Show**. Don't tell.`,
  `If your protagonist is feeling bland, give them a better antagonist that **threatens their values**.`,
  `Your character will only be as compelling as the threats against their **most important values**.`,
  `What is the biggest thing the audience won't expect about your story. Did they even see that coming a mile away?`,
  `Your character's story, if great, could exist anywhere, including the regular world. Why not put the story in a fantastic place?

  They are still the same character, but they will **face new challenges**.`,
  `If you are making a strong point with your story, make sure you make a strong **counterpoint**.`,
  `The climax should hang on a **single decisive act** of the main character.`,
  `All villains think of themselves as the hero.`,
  `The audience wants to be **surprised**.`,
  `Your **character's values** should be the total opposite of the **world's values**.`,
  `What does your character choose under the **greatest pressure**?`,
  `**What is at stake** for the character? What's to be gained or lost?`,
  `How do you want the audience to feel at the end of your movie?`,
  `**Characters must use exposition** to get what they want. If they don't, it's not needed.`,
  `**Character's values** should be designed such that the **conflict** occurs by them simply being in the same room.`,
  `A good story makes the audience **draw conclusions on their own**. It doesn't tell them what to think.`,
  `Tell your audience **only what they need to know**, and when they need to know it. Never more, and never sooner.`,
  `Internal conflict, external conflict, and philosophical conflict **should be flipped in a 2 minute window** for a great ending.`,
  `The **unexpected consequence** of your character's actions are not at all coincidental. They are surprising and inevitable. Use this.`,
  `Not giving a character what they want can make them more sympathetic and **illustrate their will**.`,
  `Your character should ultimately choose what they **need** over what they **want**.`,
  `Your characters should always **ring true**. If your character goes against their own value system they are not believable.`,
  `A **dilemma** is the choice between two things of greatest, almost equal importance. They come at the cost of the other. There is no easy answer. It's hard for the character. It's hard for the audience.`,
  `**External stakes** drive the plot. 

  **Internal stakes** carry the character's emotion. 

  **Philosophical stakes** reveal the story's true meaning.`,
  `Start your story as late as possible. Get your character on their journey **as fast as possible**.`,
  `The audience loves being left in the dark. **Make them demand answers**.`,
  `Your character faces a **difficult choice**:

  They choose _______,
  even over _______.`,
]

module.exports = tips